require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"

activity.setTheme(android.R.style.Theme_DeviceDefault_Light_NoActionBar)
activity.setTitle("مصيبة الإمام الحسين عليه السلام")

-- القصة بتفصيل طويل جدًا
local story = {
  "بعد وفاة الإمام الحسن عليه السلام، استمر الحسين عليه السلام في المدينة المنورة، وكان يعلم أن الفتنة قادمة لا محالة.",
  "وحين هلك معاوية، تولى يزيد الحكم، وكان فاسقًا فاجرًا لا يصلح للخلافة، فطلب من الحسين أن يبايع له.",
  "فقال الحسين عليه السلام كلمته الشهيرة: 'مثلي لا يبايع مثله'. وكان بذلك يعلن أن الحق لا يركع للباطل.",
  "بدأ أهل الكوفة بإرسال الرسائل إلى الإمام الحسين عليه السلام، يطلبون منه القدوم إليهم ليقودهم ضد ظلم بني أمية.",
  "بلغت الرسائل الآلاف، فيها تعهدات بالنصرة، والولاء، وأنهم لا يريدون خليفة سواك يا ابن بنت رسول الله.",
  "أرسل الحسين ابن عمه مسلم بن عقيل إلى الكوفة ليستطلع الأمر، فدخلها فاستقبله الناس بالحفاوة والبيعة.",
  "لكن عبيد الله بن زياد دخل الكوفة واليًا عليها، وبدأ بإرهاب الناس وتهديدهم حتى تخلوا عن مسلم.",
  "قُبض على مسلم وخانته الكوفة التي بايعته، وأُعدم بطريقة مؤلمة، ولم يجد من يُخبر الحسين بما جرى.",
  "وفي هذه الأثناء، كان الإمام الحسين قد خرج من مكة مع أهل بيته، رجاله، نسائه، وأطفاله، متجهًا نحو الكوفة.",
  "في الطريق، بدأت الأخبار تصل إليه متأخرة عن خيانة الكوفة، ولكن كان قد قطع العهد، وسار لله وفي سبيله.",
  "أعترضه جيش الحر بن يزيد الرياحي، ومنعه من الرجوع إلى المدينة أو دخول الكوفة، حتى أنزلوه في أرض كربلاء.",
  "وفي كربلاء، نزل الحسين وأهل بيته وأصحابه، وكان عددهم لا يتجاوز 70 رجلاً، في مواجهة الآلاف.",
  "منع جيش عمر بن سعد الماء عن الحسين وأهل بيته، فمكثوا ثلاثة أيام بلا ماء في حر الشمس المحرقة.",
  "بدأت معركة الطف في العاشر من محرم، بعد أن خطب الحسين فيهم، ووعظهم، فلم يستجيبوا له.",
  "خرج أولاده وأهل بيته واحدًا تلو الآخر يقاتلون ببسالة، وكان أولهم علي الأكبر، الذي يشبه رسول الله.",
  "استشهد علي الأكبر بين يدي أبيه، فقلب الحسين يتمزق وهو يقول: 'على الدنيا بعدك العفا يا بني'.",
  "ثم خرج القاسم ابن الإمام الحسن، غلام صغير، قاتل حتى استشهد بين صرخات النساء.",
  "ثم خرج العباس حامل اللواء، لطلب الماء للأطفال، فقطعت يداه، وضرب بالسيف على رأسه، فسقط شهيدًا.",
  "صاح الحسين: 'الآن انكسر ظهري'. ولم يكن مصابٌ أعظم عليه من فَقْد أبي الفضل.",
  "حتى الرضيع عبد الله، رفعه الحسين وقال: 'يا قوم، إن لم ترحموني فارحموا هذا الطفل'.",
  "فرماه حرملة بسهم مثلث، فذبحه من الوريد إلى الوريد، وسالت دماؤه على يد والده.",
  "حفر له الحسين قبرًا صغيرًا بيده، ودفنه في رمال كربلاء.",
  "بقي الحسين وحيدًا، لا ناصر ولا معين، نادى: 'هل من ناصر ينصرنا؟ هل من مغيث يُغيثنا؟'",
  "فلم يُجب إلا صراخ النساء وبكاء الأطفال.",
  "قاتل الإمام الحسين قتال الأبطال، وهو مرهق عطشان، حتى خرّ على الأرض مثخنًا بالجراح.",
  "اقترب منه الشقي شمر بن ذي الجوشن، وجلس على صدره الشريف، وذبحه ذبح الشاة.",
  "رُفعت رأسه الشريف على رمح طويل، وطيف بها في الكوفة والشام، وسُبيت نساؤه.",
  "بكت زينب عليه، ووقفت في وجه الطغيان، وقالت ليزيد: 'فكد كيدك، واسعَ سعيك، والله لا تمحو ذكرنا'.",
  "وهكذا خُتمت أعظم مأساة في التاريخ، مأساة الطف، التي لا تزال خالدة في وجدان الأحرار.",
  "فالحسين لم يُقتل فقط، بل قدَّم نفسه ليُحيي الدين، ويوقظ الضمائر.",
  "ويبقى صوته يصرخ في كل زمان: 'هيهات منا الذلة!'."
}

-- تصميم الواجهة
layout = {
  LinearLayout,
  orientation = "vertical",
  layout_width = "fill",
  layout_height = "fill",
  {
    ListView,
    layout_width = "match_parent",
    layout_height = "match_parent",
    id = "storyList",
  }
}

activity.setContentView(loadlayout(layout))

-- محول البيانات للقصة
adapter = ArrayAdapter(activity, android.R.layout.simple_list_item_1, story)
storyList.setAdapter(adapter)